Draft Line/pl: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 3: Line 3:


==Description==
==Description==
The Line tool creates a straight, two-points line in the current [[Draft SelectPlane|work plane]]. It takes the [[Draft Linestyle|linewidth and color]] previously set on the Tasks tab. The Line tool behaves exactly like the [[Draft Wire]] tool, except that it stops after two points.
The Line tool creates a straight line defined by two points. It uses the [[Draft Linestyle]] set on the Draft tray toolbar. The Line tool behaves exactly like the [[Draft Wire]] tool, except that it stops after two points.


[[Image:Draft_Line_example.jpg|400px]]
[[Image:Draft_Line_example.jpg|400px]]
Line 31: Line 31:
The Line tool can by used in [[macros]] and from the python console by using the following function:
The Line tool can by used in [[macros]] and from the python console by using the following function:
{{Code|code=
{{Code|code=
Line = makeLine(p1, p2)
makeLine (Vector, Vector)
Line = makeLine(LineSegment)
Line = makeLine(Shape)

}}
}}
* Creates a <code>Line</code> object between points <code>p1</code> and <code>p2</code>, each defined as a <code>FreeCAD.Vector</code>
* Creates a line between the two given vectors. The current draft linewidth and color will be used.
* Creates a <code>Line</code> object from a <code>Part.LineSegment</code>
* Returns the newly created object.
* Creates a <code>Line</code> object from the first vertex to the last vertex of the given <code>Shape</code>
* The current [[Draft Linestyle]] will be used


Example:
Example:
{{Code|code=
{{Code|code=
import FreeCAD, Draft
import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
Draft.makeLine(FreeCAD.Vector(0,0,0), FreeCAD.Vector(2,0,0))
}}
}}



Revision as of 08:37, 26 October 2018

Draft Line

Lokalizacja w menu
Draft → Line
Środowisko pracy
Draft, Arch
Domyślny skrót
L I
Wprowadzono w wersji
-
Zobacz także
Draft Wire

Description

The Line tool creates a straight line defined by two points. It uses the Draft Linestyle set on the Draft tray toolbar. The Line tool behaves exactly like the Draft Wire tool, except that it stops after two points.

How to use

  1. Press the Draft Line button, or press L then I keys
  2. Click a first point on the 3D view, or type a coordinate
  3. Click a second point on the 3D view, or type a coordinate

Options

  • Press X, Y or Z after the first point to constrain the second point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Line tool will restart after you give the second point, allowing you to draw another line segment without pressing the Line button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press CTRL+Z or press the Undo button to undo the last point.
  • Press ESC or the Cancel button to abort the current Line command.
  • If several connected Draft Lines are selected they can be transformed into a wire by pressing the Draft Upgrade Button.

Properties

  • DANEStart: Punkt początkowy
  • DANEEnd: Punkt końcowy
  • DANESubdivisions: Dzieli linię z podaną liczbą poddziałów introduced in version 0.16/pl

Scripting

The Line tool can by used in macros and from the python console by using the following function:

Line = makeLine(p1, p2)
Line = makeLine(LineSegment)
Line = makeLine(Shape)
  • Creates a Line object between points p1 and p2, each defined as a FreeCAD.Vector
  • Creates a Line object from a Part.LineSegment
  • Creates a Line object from the first vertex to the last vertex of the given Shape
  • The current Draft Linestyle will be used

Example:

import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0), FreeCAD.Vector(2,0,0))